<?php

function fn_round_cc($aql)
{
	$data = $aql->Consume(2);
	$points = $data[0]->value;
	if (is_array($points))
	{
		$points = $data[0]->value[0];
	}
	$const = $data[1]->value;	
	
	if (!is_array($const))
	{
		$data[1]->value = round($data[1]->value,$points);
	}
	else
	{
		foreach($data[1]->value as $v)
		{
			$v = round($v,$points);
		}
	}
		
	array_push($aql->stack,$data[1]);
}
?>